const generalCategory = {
  name: "General",
  timeSensitive: true,
  description: "A mix of physical, creative, organizational and social tasks",
  key: Date.now(),
  tasks: [
    {
      name: "Meditate for 5 minutes",
      desc:
        "Find a quiet spot and set a timer for 5 minutes. Close your eyes and focus on your breath, try not to think about anything. Do this untill the timer runs out",
      minutes: 5,
    },
    {
      name: "Meditate for 10 minutes",
      desc:
        "Find a quiet spot and set a timer for 10 minutes. Close your eyes and focus on your breath, try not to think about anything. Do this untill the timer runs out",
      minutes: 10,
    },
    {
      name: "Do 25 pushups",
      desc: "Get down right now and do 25 pushups!",
      minutes: 1,
    },
    {
      name: "Do 50 pushups",
      desc: "Get down right now and do 50 pushups!",
      minutes: 3,
    },
    {
      name: "Do 25 situps",
      desc: "Get down right now and do 25 situps!",
      minutes: 2,
    },
    {
      name: "Plank for 3 minutes",
      desc:
        "Get down right now and plank for a total of 1 minute. If you cant do it in a row rest and continue untill the time requirement is met.",
      minutes: 3,
    },
    {
      name: "Go for a 10 minute walk",
      desc: "Lace up those shoes and go walk outside for 10 minutes",
      minutes: 10,
    },
    {
      name: "Journal for 10 minutes",
      desc:
        "Grab a notebook and write down your thoughts. This can be about an even or just how you're feeling today/this week",
      minutes: 10,
    },

    {
      name: "Clean the area around you",
      desc:
        "Wherever you are right now organize and clean the area. This includes taking out trash and sweeping/vacuuming ",
      minutes: 20,
    },
    {
      name: "Read a chapter of a book",
      desc:
        "Pick up a book you've been meaning to read or have been reading. Read a chapter or for 20 minutes, whichever comes first",
      minutes: 25,
    },
    {
      name: "Go for a 20 minute walk",
      desc: "Lace up those shoes and go walk outside for 20 minutes",
      minutes: 20,
    },
    {
      name: "Run a mile",
      desc:
        "Lace up those shoes and go run a mile. You must run the entire way. If you get tired stop and rest before continuing.",
      minutes: 25,
    },
    {
      name: "Practice a musical instrument for 30 minutes",
      desc:
        "Find an instrument you have and deliberately play on it for 30 minutes. Dont have an instrument? Practice singing.",
      minutes: 30,
    },

    {
      name: "Organize a messy folder on your computer",
      desc:
        "Find a messy folder on your computer or phone and organize it. Name things appropriately, delete things you dont need, and backup anything you want to save.",
      minutes: 23,
    },
    {
      name: "Do a calisthenics workout",
      desc: "Look up a 30 minute calistenic workout online and do it.",
      minutes: 30,
    },
    {
      name: "Go for a 50 minute walk",
      desc:
        "Lace up those shoes and go walk outside for 50 minutes, If you can invite a friend, neighbor or significant other for conversation.",
      minutes: 50,
    },
    {
      name: "Groom yourself",
      desc: "Shave, shower and follow a skin care regimine.",
      minutes: 40,
    },
    {
      name: "Go to the gym",
      desc:
        "Go to the gym and do a workout. If you dont have a gym then follow a training excersize program found at home.",
      minutes: 60,
    },
    {
      name: "Contact a friend or family member",
      desc:
        "Look for a friend or family member you havent spoken to in some time. Call, and or text them. If they dont respond find someone else, try to give this person at least 40 minutes of your attention if permitted.",
      minutes: 45,
    },

    {
      name: "Write a short story",
      desc:
        "Come up with a short standalone story. Write it down in a notebook and share it with someone.",
      minutes: 90,
    },
    {
      name: "Go on a hike",
      desc:
        "Go on a hike. If you are going alone you can bring a podcast or audiobook. If you are going with someone try to bring up something youve been thinking about lately.",
      minutes: 90,
    },
    {
      name: "Read a book for over an hour",
      desc:
        "Pick up a book youve been meaning to read or are currently reading. Sit down with some water and read for at least and hour and a half.",
      minutes: 65,
    },
  ],
};


export default generalCategory;